Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.protocol
Class AuthenticationQuery

    java.lang.Object
      oasis.names.tc.saml._1_0.protocol.QueryAbstractType
          oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
              oasis.names.tc.saml._1_0.protocol.AuthenticationQuery

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class AuthenticationQuery

extends SubjectQueryAbstractType
implements Serializable

Java class for AuthenticationQueryType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AuthenticationQueryType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:protocol}SubjectQueryAbstractType">
           <attribute name="AuthenticationMethod" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AuthenticationQuery()`

Method Summary
`String` | `getAuthenticationMethod()` Gets the value of the authenticationMethod property.
`void` | `setAuthenticationMethod(String value)` Sets the value of the authenticationMethod property.

Methods inherited from class oasis.names.tc.saml._1_0.protocol.SubjectQueryAbstractType
`getSubject, setSubject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationQuery

    public AuthenticationQuery()

Method Detail

### getAuthenticationMethod

    public String getAuthenticationMethod()

  Gets the value of the authenticationMethod property.

  Returns:
    possible object is `String`

### setAuthenticationMethod

    public void setAuthenticationMethod(String value)

  Sets the value of the authenticationMethod property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.